com.verisign.epp.interfaces

## Class EPPPersRegTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.EPPPersRegTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPPersRegTst
      extends junit.framework.TestCase

  Is a unit test of the using the Personal Registration Extension classes with the `EPPDomain` class `EPPEmailFwd` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations and `EPPEmailFwd` with Personal Registration Extensions, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPPersRegTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPPersRegTst(java.lang.String name)` Allocates an `EPPPersRegTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
    `java.lang.String` | `makeDomainName()` This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeEmail()` This method tries to generate a unique String as Domain Name and Name Server
    `void` | `persRegCreate()` Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create.
    `void` | `persRegErrCreate()` Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create for error response.
    `void` | `persRegInfo()` Unit test of using the Personal Registration Extensions with `EPPDomain` Info and `EPPEmailFwd` Info.
    `void` | `persRegRenew()` Unit test of using the Personal Registration Extensions with `EPPDomain` Renew and `EPPEmailFwd` Renew.
    `void` | `persRegTransfer()` Unit test of using the Personal Registration Extensions with `EPPDomain` Transfer and `EPPEmailFwd` Transfer.
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testPersReg()` JUNIT test method to implement the `EPPPersRegTst TestCase`.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPersRegTst

          public EPPPersRegTst(java.lang.String name)

      Allocates an `EPPPersRegTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testPersReg

          public void testPersReg()

      JUNIT test method to implement the `EPPPersRegTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### persRegInfo

          public void persRegInfo()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Info and `EPPEmailFwd` Info.

    - #### persRegCreate

          public void persRegCreate()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create.

    - #### persRegErrCreate

          public void persRegErrCreate()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create for error response. The Server Stub will use the Personal Registration Extension when passing a Domain or Email containing the string "error".

    - #### persRegRenew

          public void persRegRenew()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Renew and `EPPEmailFwd` Renew.

    - #### persRegTransfer

          public void persRegTransfer()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Transfer and `EPPEmailFwd` Transfer.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
      Returns:
        DOCUMENT ME!

    - #### handleException

          public void handleException(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :Response XML" will be specified. If the exception was caused by a general algorithm error, "General Error :Exception Description" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        DOCUMENT ME!

    - #### makeEmail

          public java.lang.String makeEmail()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        DOCUMENT ME!